diff -aruN --binary 10/components/com_content/views/frontpage/tmpl/default_item.php 11/components/com_content/views/frontpage/tmpl/default_item.php
--- 10/components/com_content/views/frontpage/tmpl/default_item.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/frontpage/tmpl/default_item.php	2009-06-02 23:51:34.000000000 +0200
@@ -8,13 +8,13 @@
 <?php endif; ?>
 
 <?php if ($canEdit || $this->item->params->get('show_title') || $this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon')) : ?>
-<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 <tr>
 	<?php if ($this->item->params->get('show_title')) : ?>
-	<td class="contentheading<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>" width="100%">
+	<td class="contentheading<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>" width="100%">
 		<?php if ($this->item->params->get('link_titles') && $this->item->readmore_link != '') : ?>
-		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
-			<?php echo $this->item->title; ?></a>
+		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
+			<?php echo $this->escape($this->item->title); ?></a>
 		<?php else : ?>
 			<?php echo $this->escape($this->item->title); ?>
 		<?php endif; ?>
@@ -50,7 +50,7 @@
 	echo $this->item->event->afterDisplayTitle;
 endif; ?>
 <?php echo $this->item->event->beforeDisplayContent; ?>
-<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 <?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
 <tr>
 	<td>
@@ -59,7 +59,7 @@
 			<?php if ($this->item->params->get('link_section')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->item->section; ?>
+			<?php echo $this->escape($this->item->section); ?>
 			<?php if ($this->item->params->get('link_section')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -73,7 +73,7 @@
 			<?php if ($this->item->params->get('link_category')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->item->category; ?>
+			<?php echo $this->escape($this->item->category); ?>
 			<?php if ($this->item->params->get('link_category')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -87,7 +87,7 @@
 <tr>
 	<td width="70%"  valign="top" colspan="2">
 		<span class="small">
-			<?php JText::printf( 'Written by', ($this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author) ); ?>
+			<?php JText::printf( 'Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)) ); ?>
 		</span>
 		&nbsp;&nbsp;
 	</td>
@@ -105,8 +105,8 @@
 <?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
 <tr>
 	<td valign="top" colspan="2">
-		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
-			<?php echo $this->item->urls; ?></a>
+		<a href="http://<?php echo $this->escape($this->item->urls) ; ?>" target="_blank">
+			<?php echo $this->escape($this->item->urls); ?></a>
 	</td>
 </tr>
 <?php endif; ?>
@@ -131,7 +131,7 @@
 <?php if ($this->item->params->get('show_readmore') && $this->item->readmore) : ?>
 <tr>
 	<td  colspan="2">
-		<a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->item->params->get('pageclass_sfx'); ?>">
+		<a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
 			<?php if ($this->item->readmore_register) :
 				echo JText::_('Register to read more...');
 			elseif ($readmore = $this->item->params->get('readmore')) :
diff -aruN --binary 10/components/com_content/views/frontpage/tmpl/default_links.php 11/components/com_content/views/frontpage/tmpl/default_links.php
--- 10/components/com_content/views/frontpage/tmpl/default_links.php	2008-07-06 23:39:04.000000000 +0200
+++ 11/components/com_content/views/frontpage/tmpl/default_links.php	2009-06-02 23:51:34.000000000 +0200
@@ -7,7 +7,7 @@
 <?php foreach ($this->links as $link) : ?>
 	<li>
 		<a class="blogsection" href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($link->slug, $link->catslug, $link->sectionid)); ?>">
-			<?php echo $link->title; ?></a>
+			<?php echo $this->escape($link->title); ?></a>
 	</li>
 <?php endforeach; ?>
-</ul>
\ No hay ningún carácter de nueva línea al final del fichero
+</ul>
diff -aruN --binary 10/components/com_content/views/frontpage/tmpl/default.php 11/components/com_content/views/frontpage/tmpl/default.php
--- 10/components/com_content/views/frontpage/tmpl/default.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/frontpage/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,11 +1,11 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
 <?php if ($this->params->get('show_page_title', 1)) : ?>
-<div class="componentheading<?php echo $this->params->get('pageclass_sfx') ?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->escape($this->params->get('page_title')); ?>
 </div>
 <?php endif; ?>
-<table class="blog<?php echo $this->params->get('pageclass_sfx') ?>" cellpadding="0" cellspacing="0">
+<table class="blog<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" cellpadding="0" cellspacing="0">
 <?php if ($this->params->def('num_leading_articles', 1)) : ?>
 <tr>
 	<td valign="top">
@@ -75,7 +75,7 @@
 <?php if ($this->params->def('num_links', 4) && ($i < $this->total)) : ?>
 <tr>
 	<td valign="top">
-		<div class="blog_more<?php echo $this->params->get('pageclass_sfx') ?>">
+		<div class="blog_more<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 			<?php
 				$this->links = array_splice($this->items, $i - $this->pagination->limitstart);
 				echo $this->loadTemplate('links');
diff -aruN --binary 10/components/com_content/views/frontpage/view.feed.php 11/components/com_content/views/frontpage/view.feed.php
--- 10/components/com_content/views/frontpage/view.feed.php	2009-03-28 01:43:46.000000000 +0100
+++ 11/components/com_content/views/frontpage/view.feed.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.feed.php 11687 2009-03-11 17:49:23Z ian $
+ * @version		$Id: view.feed.php 11795 2009-05-06 01:59:19Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -35,7 +35,7 @@
 		$db			=& JFactory::getDBO();
 		$document	=& JFactory::getDocument();
 		$params =& $mainframe->getParams();
-		$feedEmail = ($mainframe->getCfg('feed_email')) ? $mainframe->getCfg('feed_email') : 'author';
+		$feedEmail = (@$mainframe->getCfg('feed_email')) ? $mainframe->getCfg('feed_email') : 'author';
 		$siteEmail = $mainframe->getCfg('mailfrom');
 		$document->link = JRoute::_('index.php?option=com_content&view=frontpage');
 
diff -aruN --binary 10/components/com_content/views/section/tmpl/blog_item.php 11/components/com_content/views/section/tmpl/blog_item.php
--- 10/components/com_content/views/section/tmpl/blog_item.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/section/tmpl/blog_item.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,7 +1,7 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
 <?php if ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own')) : ?>
-	<div class="contentpaneopen_edit<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+	<div class="contentpaneopen_edit<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 		<?php echo JHTML::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
 	</div>
 <?php endif; ?>
@@ -10,12 +10,12 @@
 <?php endif; ?>
 
 <?php if ($this->item->params->get('show_title') || $this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon')) : ?>
-<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 <tr>
 	<?php if ($this->item->params->get('show_title')) : ?>
-	<td class="contentheading<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>" width="100%">
+	<td class="contentheading<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>" width="100%">
 		<?php if ($this->item->params->get('link_titles') && $this->item->readmore_link != '') : ?>
-		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 			<?php echo $this->escape($this->item->title); ?></a>
 		<?php else : ?>
 			<?php echo $this->escape($this->item->title); ?>
@@ -47,16 +47,16 @@
 	echo $this->item->event->afterDisplayTitle;
 endif; ?>
 <?php echo $this->item->event->beforeDisplayContent; ?>
-<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 <?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
 <tr>
 	<td>
-		<?php if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) : ?>
+		<?php if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->section->title)) : ?>
 		<span>
 			<?php if ($this->item->params->get('link_section')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->item->section; ?>
+			<?php echo $this->escape($this->section->title); ?>
 			<?php if ($this->item->params->get('link_section')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -70,7 +70,7 @@
 			<?php if ($this->item->params->get('link_category')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->item->category; ?>
+			<?php echo $this->escape($this->item->category); ?>
 			<?php if ($this->item->params->get('link_category')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -84,7 +84,7 @@
 <tr>
 	<td width="70%"  valign="top" colspan="2">
 		<span class="small">
-			<?php JText::printf( 'Written by', ($this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author) ); ?>
+			<?php JText::printf( 'Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)) ); ?>
 		</span>
 		&nbsp;&nbsp;
 	</td>
@@ -102,8 +102,8 @@
 <?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
 <tr>
 	<td valign="top" colspan="2">
-		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
-			<?php echo $this->item->urls; ?></a>
+		<a href="http://<?php echo $this->escape($this->item->urls) ; ?>" target="_blank">
+			<?php echo $this->escape($this->item->urls); ?></a>
 	</td>
 </tr>
 <?php endif; ?>
@@ -128,7 +128,7 @@
 <?php if ($this->item->params->get('show_readmore') && $this->item->readmore) : ?>
 <tr>
 	<td  colspan="2">
-		<a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->item->params->get('pageclass_sfx'); ?>">
+		<a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
 			<?php if ($this->item->readmore_register) :
 				echo JText::_('Register to read more...');
 			elseif ($readmore = $this->item->params->get('readmore')) :
diff -aruN --binary 10/components/com_content/views/section/tmpl/blog_links.php 11/components/com_content/views/section/tmpl/blog_links.php
--- 10/components/com_content/views/section/tmpl/blog_links.php	2008-07-27 00:29:08.000000000 +0200
+++ 11/components/com_content/views/section/tmpl/blog_links.php	2009-06-02 23:51:34.000000000 +0200
@@ -7,7 +7,7 @@
  foreach ($this->links as $link) : ?>
 	<li>
 		<a class="blogsection" href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($link->slug, $link->catslug, $link->sectionid)); ?>">
-			<?php echo $link->title; ?></a>
+			<?php echo $this->escape($link->title); ?></a>
 	</li>
 <?php endforeach; ?>
 </ul>
diff -aruN --binary 10/components/com_content/views/section/tmpl/blog.php 11/components/com_content/views/section/tmpl/blog.php
--- 10/components/com_content/views/section/tmpl/blog.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/section/tmpl/blog.php	2009-06-02 23:51:34.000000000 +0200
@@ -3,11 +3,11 @@
 $cparams =& JComponentHelper::getParams('com_media');
 ?>
 <?php if ($this->params->get('show_page_title')) : ?>
-<div class="componentheading<?php echo $this->params->get('pageclass_sfx');?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->escape($this->params->get('page_title')); ?>
 </div>
 <?php endif; ?>
-<table class="blog<?php echo $this->params->get('pageclass_sfx'); ?>" cellpadding="0" cellspacing="0">
+<table class="blog<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" cellpadding="0" cellspacing="0">
 <?php if ($this->params->def('show_description', 1) || $this->params->def('show_description_image', 1)) :?>
 <tr>
 	<td valign="top">
@@ -93,7 +93,7 @@
 <?php if ($this->params->def('num_links', 4) && ($i < $this->total)) : ?>
 <tr>
 	<td valign="top">
-		<div class="blog_more<?php echo $this->params->get('pageclass_sfx') ?>">
+		<div class="blog_more<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 			<?php
 				$this->links = array_splice($this->items, $i - $this->pagination->limitstart);
 				echo $this->loadTemplate('links');
diff -aruN --binary 10/components/com_content/views/section/tmpl/default.php 11/components/com_content/views/section/tmpl/default.php
--- 10/components/com_content/views/section/tmpl/default.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/section/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -3,13 +3,13 @@
 $cparams =& JComponentHelper::getParams('com_media');
 ?>
 <?php if ($this->params->get('show_page_title', 1)) : ?>
-<div class="componentheading<?php echo $this->params->get('pageclass_sfx');?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->escape($this->params->get('page_title')); ?>
 </div>
 <?php endif; ?>
-<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
-	<td width="60%" valign="top" class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>" colspan="2">
+	<td width="60%" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
 	<?php if ($this->params->get('show_description_image') && $this->section->image) : ?>
 		<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'.  $this->section->image;?>" align="<?php echo $this->section->image_position;?>" hspace="6" alt="<?php echo $this->section->image;?>" />
 	<?php endif; ?>
@@ -26,7 +26,7 @@
 		<?php if (!$this->params->get('show_empty_categories') && !$category->numitems) continue; ?>
 		<li>
 			<a href="<?php echo $category->link; ?>" class="category">
-				<?php echo $category->title;?></a>
+				<?php echo $this->escape($category->title);?></a>
 			<?php if ($this->params->get('show_cat_num_articles')) : ?>
 			&nbsp;
 			<span class="small">
diff -aruN --binary 10/components/com_content/views/section/view.feed.php 11/components/com_content/views/section/view.feed.php
--- 10/components/com_content/views/section/view.feed.php	2009-03-28 01:43:46.000000000 +0100
+++ 11/components/com_content/views/section/view.feed.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.feed.php 11687 2009-03-11 17:49:23Z ian $
+ * @version		$Id: view.feed.php 11795 2009-05-06 01:59:19Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -32,7 +32,7 @@
 		global $mainframe;
 		$doc =& JFactory::getDocument();
 		$params =& $mainframe->getParams();
-		$feedEmail = ($mainframe->getCfg('feed_email')) ? $mainframe->getCfg('feed_email') : 'author';
+		$feedEmail = (@$mainframe->getCfg('feed_email')) ? $mainframe->getCfg('feed_email') : 'author';
 		$siteEmail = $mainframe->getCfg('mailfrom');
 		
 		// Get some data from the model
diff -aruN --binary 10/components/com_mailto/views/mailto/tmpl/default.php 11/components/com_mailto/views/mailto/tmpl/default.php
--- 10/components/com_mailto/views/mailto/tmpl/default.php	2008-09-09 16:19:40.000000000 +0200
+++ 11/components/com_mailto/views/mailto/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -33,25 +33,25 @@
 	<p>
 		<?php echo JText::_('EMAIL_TO'); ?>:
 		<br />
-		<input type="text" name="mailto" class="inputbox" size="25" value="<?php echo $data->mailto ?>"/>
+		<input type="text" name="mailto" class="inputbox" size="25" value="<?php echo $this->escape($data->mailto) ?>"/>
 	</p>
 
 	<p>
 		<?php echo JText::_('SENDER'); ?>:
 		<br />
-		<input type="text" name="sender" class="inputbox" value="<?php echo $data->sender ?>" size="25" />
+		<input type="text" name="sender" class="inputbox" value="<?php echo $this->escape($data->sender) ?>" size="25" />
 	</p>
 
 	<p>
 		<?php echo JText::_('YOUR_EMAIL'); ?>:
 		<br />
-		<input type="text" name="from" class="inputbox" value="<?php echo $data->from ?>" size="25" />
+		<input type="text" name="from" class="inputbox" value="<?php echo $this->escape($data->from) ?>" size="25" />
 	</p>
 
 	<p>
 		<?php echo JText::_('SUBJECT'); ?>:
 		<br />
-		<input type="text" name="subject" class="inputbox" value="<?php echo $data->subject ?>" size="25" />
+		<input type="text" name="subject" class="inputbox" value="<?php echo $this->escape($data->subject) ?>" size="25" />
 	</p>
 
 	<p>
@@ -70,4 +70,4 @@
 	<input type="hidden" name="tmpl" value="component" />
 	<input type="hidden" name="link" value="<?php echo $data->link; ?>" />
 	<?php echo JHTML::_( 'form.token' ); ?>
-</form>
\ No hay ningún carácter de nueva línea al final del fichero
+</form>
diff -aruN --binary 10/components/com_media/media.php 11/components/com_media/media.php
--- 10/components/com_media/media.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_media/media.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: media.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: media.php 11784 2009-04-24 17:34:11Z kdevine $
  * @package		Joomla
  * @subpackage	Massmail
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -15,15 +15,19 @@
 // no direct access
 defined('_JEXEC') or die('Restricted access');
 
+$params =& JComponentHelper::getParams('com_media');
+$ranks = array('publisher', 'editor', 'author', 'registered');
+$acl = & JFactory::getACL();
+for($i = 0; $i < $params->get('allowed_media_usergroup', 3); $i++)
+{
+	$acl->addACL( 'com_media', 'popup', 'users', $ranks[$i] );
+}
 // Make sure the user is authorized to view this page
 $user = & JFactory::getUser();
 if (!$user->authorize( 'com_media', 'popup' )) {
 	$mainframe->redirect('index.php', JText::_('ALERTNOTAUTH'));
 }
 
-// Get the media component configuration settings
-$params =& JComponentHelper::getParams('com_media');
-
 // Set the path definitions
 define('COM_MEDIA_BASE',    JPATH_ROOT.DS.$params->get('image_path', 'images'.DS.'stories'));
 define('COM_MEDIA_BASEURL', JURI::root(true).'/'.$params->get('image_path', 'images/stories'));
diff -aruN --binary 10/components/com_newsfeeds/views/categories/tmpl/default.php 11/components/com_newsfeeds/views/categories/tmpl/default.php
--- 10/components/com_newsfeeds/views/categories/tmpl/default.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_newsfeeds/views/categories/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,18 +1,18 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
 <?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
 
-<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get( 'pageclass_sfx' )); ?>">
 <?php if ( ($this->params->get('image') != -1) || $this->params->get('show_comp_description') ) : ?>
 <tr>
-	<td valign="top" class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php
 		if ( isset($this->image) ) :  echo $this->image; endif;
-		echo $this->params->get('comp_description');
+		echo $this->escape($this->params->get('comp_description'));
 	?>
 	</td>
 </tr>
@@ -21,8 +21,8 @@
 <ul>
 <?php foreach ( $this->categories as $category ) : ?>
 	<li>
-		<a href="<?php echo $category->link ?>" class="category<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
-			<?php echo $category->title;?></a>
+		<a href="<?php echo $category->link ?>" class="category<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
+			<?php echo $this->escape($category->title);?></a>
 		<?php if ( $this->params->get( 'show_cat_items' ) ) : ?>
 		&nbsp;
 		<span class="small">
diff -aruN --binary 10/components/com_newsfeeds/views/category/tmpl/default_items.php 11/components/com_newsfeeds/views/category/tmpl/default_items.php
--- 10/components/com_newsfeeds/views/category/tmpl/default_items.php	2008-07-06 23:39:04.000000000 +0200
+++ 11/components/com_newsfeeds/views/category/tmpl/default_items.php	2009-06-02 23:51:34.000000000 +0200
@@ -14,16 +14,16 @@
 <?php endif; ?>
 <?php if ( $this->params->get( 'show_headings' ) ) : ?>
 <tr>
-	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="right" width="5">
+	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" align="right" width="5">
 		<?php echo JText::_('Num'); ?>
 	</td>
 	<?php if ( $this->params->get( 'show_name' ) ) : ?>
-	<td height="20" width="90%" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td height="20" width="90%" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo JText::_( 'Feed Name' ); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ( $this->params->get( 'show_articles' ) ) : ?>
-	<td height="20" width="10%" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="center" nowrap="nowrap">
+	<td height="20" width="10%" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" align="center" nowrap="nowrap">
 		<?php echo JText::_( 'Num Articles' ); ?>
 	</td>
 	<?php endif; ?>
@@ -35,8 +35,8 @@
 		<?php echo $item->count + 1; ?>
 	</td>
 	<td height="20" width="90%">
-		<a href="<?php echo $item->link; ?>" class="category<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
-			<?php echo $item->name; ?></a>
+		<a href="<?php echo $item->link; ?>" class="category<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
+			<?php echo $this->escape($item->name); ?></a>
 	</td>
 	<?php if ( $this->params->get( 'show_articles' ) ) : ?>
 	<td height="20" width="10%" align="center">
@@ -46,7 +46,7 @@
 </tr>
 <?php endforeach; ?>
 <tr>
-	<td align="center" colspan="4" class="sectiontablefooter<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td align="center" colspan="4" class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php
 
 		echo $this->pagination->getPagesLinks();
@@ -59,4 +59,4 @@
 	</td>
 </tr>
 </table>
-</form>
\ No hay ningún carácter de nueva línea al final del fichero
+</form>
diff -aruN --binary 10/components/com_newsfeeds/views/category/tmpl/default.php 11/components/com_newsfeeds/views/category/tmpl/default.php
--- 10/components/com_newsfeeds/views/category/tmpl/default.php	2008-07-06 23:39:04.000000000 +0200
+++ 11/components/com_newsfeeds/views/category/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,13 +1,13 @@
 <?php // no direct access
 defined('_JEXEC') or die('Restricted access'); ?>
 <?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
-	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
 <?php endif; ?>
 
-<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php if ( @$this->image || @$this->category->description ) : ?>
 <tr>
-	<td valign="top" class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php
 		if ( isset($this->image) ) :  echo $this->image; endif;
 		echo $this->category->description;
diff -aruN --binary 10/components/com_newsfeeds/views/newsfeed/tmpl/default.php 11/components/com_newsfeeds/views/newsfeed/tmpl/default.php
--- 10/components/com_newsfeeds/views/newsfeed/tmpl/default.php	2009-01-10 03:58:06.000000000 +0100
+++ 11/components/com_newsfeeds/views/newsfeed/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -32,11 +32,11 @@
 ?>
 <div style="<?php echo $direction; ?><?php echo $align; ?>">
 <?php if ($this->params->get('show_page_title', 1)) : ?>
-	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>" style="<?php echo $direction; ?><?php echo $align; ?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" style="<?php echo $direction; ?><?php echo $align; ?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
 <?php endif; ?>
-<table width="100%" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
-	<td class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>" style="<?php echo $direction; ?><?php echo $align; ?>">
+	<td class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" style="<?php echo $direction; ?><?php echo $align; ?>">
 		<a href="<?php echo $this->newsfeed->channel['link']; ?>" target="_blank">
 			<?php echo str_replace('&apos;', "'", $this->newsfeed->channel['title']); ?></a>
 	</td>
diff -aruN --binary 10/components/com_poll/views/poll/tmpl/default_graph.php 11/components/com_poll/views/poll/tmpl/default_graph.php
--- 10/components/com_poll/views/poll/tmpl/default_graph.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_poll/views/poll/tmpl/default_graph.php	2009-06-02 23:51:34.000000000 +0200
@@ -6,7 +6,7 @@
 	<tr>
 		<th colspan="3" class="sectiontableheader">
 			<img src="<?php echo $this->baseurl; ?>/components/com_poll/assets/poll.png" align="middle" border="0" width="12" height="14" alt="" />
-			<?php echo $this->poll->title; ?>
+			<?php echo $this->escape($this->poll->title); ?>
 		</th>
 	</tr>
 </thead>
@@ -19,10 +19,10 @@
 	</tr>
 	<tr class="sectiontableentry<?php echo $vote->odd; ?>">
 		<td align="right" width="25">
-			<strong><?php echo $vote->hits; ?></strong>&nbsp;
+			<strong><?php echo $this->escape($vote->hits); ?></strong>&nbsp;
 		</td>
 		<td width="30" >
-			<?php echo $vote->percent; ?>%
+			<?php echo $this->escape($vote->percent); ?>%
 		</td>
 		<td width="300" >
 			<div class="<?php echo $vote->class; ?>" style="height:<?php echo $vote->barheight; ?>px;width:<?php echo $vote->percent; ?>%"></div>
@@ -49,7 +49,7 @@
 		</td>
 		<td class="smalldark">
 			&nbsp;:&nbsp;
-			<?php echo $this->first_vote; ?>
+			<?php echo $this->escape($this->first_vote); ?>
 		</td>
 	</tr>
 	<tr>
@@ -58,8 +58,8 @@
 		</td>
 		<td class="smalldark">
 			&nbsp;:&nbsp;
-			<?php echo $this->last_vote; ?>
+			<?php echo $this->escape($this->last_vote); ?>
 		</td>
 	</tr>
 </tbody>
-</table>
\ No hay ningún carácter de nueva línea al final del fichero
+</table>
diff -aruN --binary 10/components/com_poll/views/poll/tmpl/default.php 11/components/com_poll/views/poll/tmpl/default.php
--- 10/components/com_poll/views/poll/tmpl/default.php	2008-07-06 23:39:06.000000000 +0200
+++ 11/components/com_poll/views/poll/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -6,17 +6,17 @@
 
 <form action="index.php" method="post" name="poll" id="poll">
 <?php if ($this->params->get( 'show_page_title', 1)) : ?>
-<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ) ?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->escape($this->params->get('page_title')); ?>
 </div>
 <?php endif; ?>
-<div class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ) ?>">
+<div class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<label for="id">
 		<?php echo JText::_('Select Poll'); ?>
 		<?php echo $this->lists['polls']; ?>
 	</label>
 </div>
-<div class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ) ?>">
+<div class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php echo $this->loadTemplate('graph'); ?>
 </div>
 </form>
